export interface DetectedCronJob {
    route: string;
    schedule: string;
    timezone: string;
    framework: string;
    isValid: boolean;
}
export declare function detectQuirrelCronJob(file: string): DetectedCronJob | null;
export declare class CronDetector {
    private readonly cwd;
    private readonly onChange?;
    private watcher;
    private ready;
    constructor(cwd: string, onChange?: ((jobs: DetectedCronJob[]) => void) | undefined);
    close(): Promise<void>;
    awaitReady(): Promise<void>;
    private pathToCronJob;
    getDetectedJobs(): DetectedCronJob[];
    private onNewJob;
    private emitChange;
    private onJobRemoved;
    private onJobChanged;
    private on;
}
